WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Plugin broken

[Resolved] Plugin broken

  • Warning: Parameter 1 to RW_Taxonomy_Meta::save_field_wysiwyg() expected to be a reference, value given in …\wp-content\plugins\taxonomy-meta\taxonomy-meta.php on line 518

    Warning: Parameter 1 to RW_Taxonomy_Meta::save_field_file() expected to be a reference, value given in …\wp-content\plugins\taxonomy-meta\taxonomy-meta.php on line 518

    Warning: Cannot modify header information – headers already sent by (output started at …\wp-content\plugins\taxonomy-meta\taxonomy-meta.php:518) in …\wp-includes\pluggable.php on line 876

    This messages appears, when i save category. Localhost.

    http://wordpress.org/extend/plugins/taxonomy-meta/

Viewing 3 replies - 1 through 3 (of 3 total)
  • I’ve got the same PHP warnings as above. Seems to be when using the WYSIWYG field. The data is not saved to database so we can’t use the WYSIWYG field at all.

    Hey cangpo and sumobi,

    Just been poking around in the taxonomy meta plugin, and I think if you change line 518 to:

    call_user_func( array( $this, 'save_field_' . $type ), &$meta, $field, $old, $new );

    (ie. adding the ampersand to the $meta variable), the error doesn’t get thrown.

    I haven’t tested whether this is watertight but it seems to work now at least.

    Hey Joshuwar, thanks for answer, those errors don’t appear.
    WYSIWYG field still have some “bugs”, so expecting plugin update to fix this 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Plugin broken’ is closed to new replies.